> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organization associated Security Framework list

> Retrieve Cyber Assurance Associations list



## OpenAPI

````yaml get /api/v1/organizations/{organizationid}/security-frameworks
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/organizations/{organizationid}/security-frameworks:
    get:
      tags:
        - organizations
      description: Retrieve Cyber Assurance Associations list
      operationId: organizations_security_frameworks_retrieve
      parameters:
        - in: query
          name: limit
          schema:
            type: number
            default: 50
          description: Max number of reponse items.
        - in: query
          name: offset
          schema:
            type: number
            default: 0
          description: Offset response items.
        - in: query
          name: order
          schema:
            type: string
          description: Order results by item field
          examples:
            IdDesc:
              value: '-id'
              summary: id desc
              description: Order by id desc
            IdAsc:
              value: id
              summary: id asc
              description: Order by id asc
            Data_title:
              value: data__title
              summary: title asc
              description: Order by title asc
        - in: path
          name: organizationid
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  total:
                    type: number
                    description: >-
                      Total number of items that meet the list filter.  

                      This doesn't represent the number of items inside the
                      `data` array.
                    minimum: 0
                    examples:
                      - 20
                      - 30
                      - 40
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Security Framework unique identifier.
                          examples:
                            - 3
                            - 6
                            - 9
                        title:
                          type: string
                          description: Security Framework title.
                          examples:
                            - Lorem Ipsum dolor sit amet
                        security_frameworks:
                          type: array
                          description: Contains all security frameworks
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                description: Identifier for the security framework
                                examples:
                                  - C1
                              type:
                                type: string
                                description: Specify the type of the security framework
                                enum:
                                  - control
                              title:
                                type: string
                                description: Security framework title
                                examples:
                                  - Control 1
                              weight:
                                type: number
                                description: >-
                                  The weight of the security framework.  

                                  All security frameworks in this array must add
                                  up to `1.0`.
                                minimum: 0
                                maximum: 1
                                multipleOf: 0.1
                                examples:
                                  - 0.2
                                  - 0.4
                                  - 0.6
                              details:
                                type: object
                                description: >-
                                  Other extra specification about the security
                                  framework.
                                examples:
                                  - {}
                              evidences:
                                type: array
                                description: >-
                                  This will contain the history of the security
                                  framework execution.  

                                  This array is limited to max `200` elements.
                                items:
                                  type: object
                                  properties:
                                    files:
                                      type: array
                                      items:
                                        type: string
                                        format: uri
                                        description: Attached files for an evidence.
                                        examples:
                                          - >-
                                            /api/v1/documents/organizations/1/security-frameworks/1/documents/C1/xxxxxxxxxxx.jpg
                                    details:
                                      type: string
                                      description: >-
                                        More information about the control
                                        execution.
                                      examples:
                                        - >-
                                          Lorem ipsum dolor sit amet, consectetur
                                          adipiscing elit. Integer et posuere
                                          erat. Phasellus iaculis metus mauris,
                                          quis accumsan felis fermentum at.
                                    datetime:
                                      type: string
                                      format: date-time
                                    completed:
                                      type: integer
                                      description: >-
                                        Reports if evidence execution run
                                        correctly.
                                      enum:
                                        - 0
                                        - 1
                                    residual_risk:
                                      type: number
                                      minimum: 0
                                      maximum: 1
                                      multipleOf: 0.1
                                      examples:
                                        - 0.2
                                        - 0.4
                                        - 0.6
                                      description: >-
                                        Indicates if the answer shows some
                                        issues that need to be addressed.  

                                        If residual risk is `1.0` needs urgent
                                        acting, if is `0.0` is safe.
                                    submitted_by:
                                      type: object
                                      description: >-
                                        This object is set when the security
                                        framework `evidence_type` has `self`
                                        value.
                                      properties:
                                        user_id:
                                          type: string
                                          format: uuid
                                          description: >-
                                            Unique identifier for the user who
                                            executed the control.
                                        user_email:
                                          type: string
                                          format: email
                                          description: >-
                                            Email for the user who executed the
                                            control.
                              frequency:
                                type: string
                                description: |-
                                  The security framework execution frequency.  
                                  It is specified using UNIX cron format.
                                examples:
                                  - 0 0 1 * *
                              description:
                                type: string
                                description: Detailed security framework description.
                                examples:
                                  - >-
                                    Lorem ipsum dolor sit amet, consectetur
                                    adipiscing elit. Integer et posuere erat.
                                    Phasellus iaculis metus mauris, quis
                                    accumsan felis fermentum at.
                              evidence_type:
                                type: string
                                description: >-
                                  Describes wheater the security framework is
                                  run automatically according to the frequency,
                                  or needs the user to act on the security
                                  framework.
                                enum:
                                  - self
                                  - automated
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````